curl --request PUT \
--url https://qti.alpha-1edtech.ai/api/assessment-tests/{assessmentTestIdentifier}/test-parts/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "<string>",
"navigationMode": "linear",
"submissionMode": "individual",
"qti-assessment-section": [
{
"identifier": "<string>",
"title": "<string>",
"visible": true,
"required": true,
"fixed": false,
"sequence": 123,
"qti-assessment-item-ref": [
{
"identifier": "<string>",
"href": "<string>"
}
],
"qti-pre-condition": [
{}
],
"qti-branch-rule": [
{}
]
}
],
"qti-pre-condition": [
{}
],
"qti-branch-rule": [
{}
]
}
'{
"identifier": "<string>",
"navigationMode": "linear",
"submissionMode": "individual",
"qti-assessment-section": [
{
"identifier": "<string>",
"title": "<string>",
"visible": true,
"required": true,
"fixed": false,
"sequence": 123,
"qti-assessment-item-ref": [
{
"identifier": "<string>",
"href": "<string>"
}
],
"qti-pre-condition": [
{}
],
"qti-branch-rule": [
{}
]
}
],
"rawXml": "<string>",
"content": {
"qti-test-part": {
"_attributes": {
"identifier": "<string>",
"navigation-mode": "<string>",
"submission-mode": "<string>"
},
"qti-assessment-section": [
{
"_attributes": {
"identifier": "<string>",
"title": "<string>",
"visible": "<string>",
"required": "<string>",
"fixed": "<string>"
},
"qti-assessment-item-ref": [
{
"_attributes": {
"identifier": "<string>",
"href": "<string>"
}
}
]
}
]
}
},
"qti-pre-condition": [
{}
],
"qti-branch-rule": [
{}
]
}Update a test part including its navigation mode, submission mode, time limits, and sections. This operation updates the entire test part structure and regenerates the parent assessment test’s XML.
curl --request PUT \
--url https://qti.alpha-1edtech.ai/api/assessment-tests/{assessmentTestIdentifier}/test-parts/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "<string>",
"navigationMode": "linear",
"submissionMode": "individual",
"qti-assessment-section": [
{
"identifier": "<string>",
"title": "<string>",
"visible": true,
"required": true,
"fixed": false,
"sequence": 123,
"qti-assessment-item-ref": [
{
"identifier": "<string>",
"href": "<string>"
}
],
"qti-pre-condition": [
{}
],
"qti-branch-rule": [
{}
]
}
],
"qti-pre-condition": [
{}
],
"qti-branch-rule": [
{}
]
}
'{
"identifier": "<string>",
"navigationMode": "linear",
"submissionMode": "individual",
"qti-assessment-section": [
{
"identifier": "<string>",
"title": "<string>",
"visible": true,
"required": true,
"fixed": false,
"sequence": 123,
"qti-assessment-item-ref": [
{
"identifier": "<string>",
"href": "<string>"
}
],
"qti-pre-condition": [
{}
],
"qti-branch-rule": [
{}
]
}
],
"rawXml": "<string>",
"content": {
"qti-test-part": {
"_attributes": {
"identifier": "<string>",
"navigation-mode": "<string>",
"submission-mode": "<string>"
},
"qti-assessment-section": [
{
"_attributes": {
"identifier": "<string>",
"title": "<string>",
"visible": "<string>",
"required": "<string>",
"fixed": "<string>"
},
"qti-assessment-item-ref": [
{
"_attributes": {
"identifier": "<string>",
"href": "<string>"
}
}
]
}
]
}
},
"qti-pre-condition": [
{}
],
"qti-branch-rule": [
{}
]
}The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier of the parent assessment test
The unique identifier of the test part to update
The test part to update
Update an existing test part on the service provider. All required test part fields must be provided, including at least one assessment section.
Unique identifier for the entity on the service provider.
Controls how learners navigate through the test part. 'linear' requires items to be responded to in sequence without jumping around, while 'nonlinear' allows candidates to respond to items in any order they choose.
linear, nonlinear Determines how learner responses are submitted for response processing. 'individual' allows responses to be submitted as each item is completed, while 'simultaneous' means responses for all items are sent when the whole part is completed.
individual, simultaneous Show child attributes
Array of QTI 3.0 pre-conditions. Each pre-condition contains a logical expression that is evaluated before the element is presented. If any pre-condition evaluates to false, the element is skipped.
Show child attributes
Array of QTI 3.0 branch rules. Each branch rule contains a logical expression that, when evaluated to true after the element is presented, causes the test to jump to the target identified by the rule.
Show child attributes
Test part updated successfully
Response data returned after successfully updating a test part. Contains the updated XML and parsed content structure.
Unique identifier for the entity on the service provider.
Controls how learners navigate through the test part. 'linear' requires items to be responded to in sequence without jumping around, while 'nonlinear' allows candidates to respond to items in any order they choose.
linear, nonlinear Determines how learner responses are submitted for response processing. 'individual' allows responses to be submitted as each item is completed, while 'simultaneous' means responses for all items are sent when the whole part is completed.
individual, simultaneous Show child attributes
Raw XML representation of the entity, automatically generated from the JSON or XML sent when creating entities on the service provider. The rawxml field will contain all content sent when creating the entity on the service provider. This field is stable and should be used when working within this QTI API.
Show child attributes
Array of QTI 3.0 pre-conditions. Each pre-condition contains a logical expression that is evaluated before the element is presented. If any pre-condition evaluates to false, the element is skipped.
Show child attributes
Array of QTI 3.0 branch rules. Each branch rule contains a logical expression that, when evaluated to true after the element is presented, causes the test to jump to the target identified by the rule.
Show child attributes